package mx.com.amx.mx.dda.ws.dto;

import java.io.Serializable;

/**
 * Es la representacion de la tabla DDA_T_FACTURA. Se usa para el manejo de las operaciones BD. 
 */
public class FacturaDTO implements Serializable 
{
	private static final long serialVersionUID = 1L;
	private String ID_FACTURA;
	private String NO_FACTURA;
	private String FECHA;
	private String MONTO;
	private String SHAREPOINT;
	private String APPROVED;
	private String SAP;
	private String PAID;
	private String DUE;
	private String COMENTARIO;
	private String ID_ESTUDIO;
	private String IVA;
	private String POSICION;
	private String FECHA_SAP_I17;
	private String FECHA_SAP_I32;
	private String DOC_MATERIAL;
	private String FECHA_SAP_I14;
	private String FACTURA_I14;
	private String FECHA_SAP_I16;
	private String DOCTO_SAP_I16;
	private String TIPO_PAGO;
	
	public String getID_FACTURA() {
		return ID_FACTURA;
	}

	public void setID_FACTURA(String iD_FACTURA) {
		ID_FACTURA = iD_FACTURA;
	}

	public String getNO_FACTURA() {
		return NO_FACTURA;
	}

	public void setNO_FACTURA(String nO_FACTURA) {
		NO_FACTURA = nO_FACTURA;
	}

	public String getFECHA() {
		return FECHA;
	}

	public void setFECHA(String fECHA) {
		FECHA = fECHA;
	}

	public String getMONTO() {
		return MONTO;
	}

	public void setMONTO(String mONTO) {
		MONTO = mONTO;
	}

	public String getSHAREPOINT() {
		return SHAREPOINT;
	}

	public void setSHAREPOINT(String sHAREPOINT) {
		SHAREPOINT = sHAREPOINT;
	}

	public String getAPPROVED() {
		return APPROVED;
	}

	public void setAPPROVED(String aPPROVED) {
		APPROVED = aPPROVED;
	}

	public String getSAP() {
		return SAP;
	}

	public void setSAP(String sAP) {
		SAP = sAP;
	}

	public String getPAID() {
		return PAID;
	}

	public void setPAID(String pAID) {
		PAID = pAID;
	}

	public String getDUE() {
		return DUE;
	}

	public void setDUE(String dUE) {
		DUE = dUE;
	}

	public String getCOMENTARIO() {
		return COMENTARIO;
	}

	public void setCOMENTARIO(String cOMENTARIO) {
		COMENTARIO = cOMENTARIO;
	}

	public String getID_ESTUDIO() {
		return ID_ESTUDIO;
	}

	public void setID_ESTUDIO(String iD_ESTUDIO) {
		ID_ESTUDIO = iD_ESTUDIO;
	}

	public String getIVA() {
		return IVA;
	}

	public void setIVA(String iVA) {
		IVA = iVA;
	}

	public String getPOSICION() {
		return POSICION;
	}

	public void setPOSICION(String pOSICION) {
		POSICION = pOSICION;
	}

	public String getFECHA_SAP_I17() {
		return FECHA_SAP_I17;
	}

	public void setFECHA_SAP_I17(String fECHA_SAP_I17) {
		FECHA_SAP_I17 = fECHA_SAP_I17;
	}

	public String getFECHA_SAP_I32() {
		return FECHA_SAP_I32;
	}

	public void setFECHA_SAP_I32(String fECHA_SAP_I32) {
		FECHA_SAP_I32 = fECHA_SAP_I32;
	}

	public String getDOC_MATERIAL() {
		return DOC_MATERIAL;
	}

	public void setDOC_MATERIAL(String dOC_MATERIAL) {
		DOC_MATERIAL = dOC_MATERIAL;
	}

	public String getFECHA_SAP_I14() {
		return FECHA_SAP_I14;
	}

	public void setFECHA_SAP_I14(String fECHA_SAP_I14) {
		FECHA_SAP_I14 = fECHA_SAP_I14;
	}

	public String getFACTURA_I14() {
		return FACTURA_I14;
	}

	public void setFACTURA_I14(String fACTURA_I14) {
		FACTURA_I14 = fACTURA_I14;
	}

	public String getFECHA_SAP_I16() {
		return FECHA_SAP_I16;
	}

	public void setFECHA_SAP_I16(String fECHA_SAP_I16) {
		FECHA_SAP_I16 = fECHA_SAP_I16;
	}

	public String getDOCTO_SAP_I16() {
		return DOCTO_SAP_I16;
	}

	public void setDOCTO_SAP_I16(String dOCTO_SAP_I16) {
		DOCTO_SAP_I16 = dOCTO_SAP_I16;
	}

	public String getTIPO_PAGO() {
		return TIPO_PAGO;
	}

	public void setTIPO_PAGO(String tIPO_PAGO) {
		TIPO_PAGO = tIPO_PAGO;
	}

	public String toString() 
	{
		StringBuilder result = new StringBuilder();
		String NEW_LINE = System.getProperty("line.separator");
		result.append(" [Begin of Class] " + NEW_LINE);
		result.append(this.getClass().getSimpleName() + " Object {" + NEW_LINE);
		result.append(" ID_FACTURA: _" + this.getID_FACTURA() + "_" + NEW_LINE);
		result.append(" NO_FACTURA: _" + this.getNO_FACTURA() + "_" + NEW_LINE);
		result.append(" FECHA: _" + this.getFECHA() + "_" + NEW_LINE);
		result.append(" MONTO: _" + this.getMONTO() + "_" + NEW_LINE);
		result.append(" SHAREPOINT: _" + this.getSHAREPOINT() + "_" + NEW_LINE);
		result.append(" APPROVED: _" + this.getAPPROVED() + "_" + NEW_LINE);
		result.append(" SAP: _" + this.getSAP() + "_" + NEW_LINE);
		result.append(" PAID: _" + this.getPAID() + "_" + NEW_LINE);
		result.append(" DUE: _" + this.getDUE() + "_" + NEW_LINE);
		result.append(" COMENTARIO: _" + this.getCOMENTARIO() + "_" + NEW_LINE);
		result.append(" ID_ESTUDIO: _" + this.getID_ESTUDIO() + "_" + NEW_LINE);
		result.append(" IVA: _" + this.getIVA() + "_" + NEW_LINE);
		result.append(" POSICION: _" + this.getPOSICION() + "_" + NEW_LINE);
		result.append(" FECHA_SAP_I17: _" + this.getFECHA_SAP_I17() + "_" + NEW_LINE);
		result.append(" FECHA_SAP_I32: _" + this.getFECHA_SAP_I32() + "_" + NEW_LINE);
		result.append(" DOC_MATERIAL: _" + this.getDOC_MATERIAL() + "_" + NEW_LINE);
		result.append(" FECHA_SAP_I14: _" + this.getFECHA_SAP_I14() + "_" + NEW_LINE);
		result.append(" FACTURA_I14: _" + this.getFACTURA_I14() + "_" + NEW_LINE);
		result.append(" FECHA_SAP_I16: _" + this.getFECHA_SAP_I16() + "_" + NEW_LINE);
		result.append(" DOCTO_SAP_I16: _" + this.getDOCTO_SAP_I16() + "_" + NEW_LINE);
		result.append(" TIPO_PAGO: _" + this.getTIPO_PAGO() + "_" + NEW_LINE);
		result.append(" [End of Class] " + NEW_LINE);
		result.append("}");
		NEW_LINE = null;

		return result.toString();
	}


}
